---
lang: en
title: 'API docs: rest.resolvedroute'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.resolvedroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ResolvedRoute](./rest.resolvedroute.md)

## ResolvedRoute interface

A route with path parameters resolved

<b>Signature:</b>

```typescript
export interface ResolvedRoute extends RouteEntry 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [pathParams](./rest.resolvedroute.pathparams.md) | <code>PathParameterValues</code> |  |
|  [schemas](./rest.resolvedroute.schemas.md) | <code>SchemasObject</code> | Server/application wide schemas shared by multiple routes, e.g. model schemas. This is a temporary workaround for missing support for $ref references, see https://github.com/strongloop/loopback-next/issues/435 |


